package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

type ExamHistory struct {
	Id     primitive.ObjectID `bson:"_id" json:"_id"`
	UserId string             `bson:"userId" json:"userId"`
	// $title:正确/错误
	ExamRecord []map[string]string `bson:"examRecord" json:"examRecord"`
	TotalScore float64             `bson:"totalScore" json:"totalScore"`
	Correct    int                 `bson:"correct" json:"correct"`
	Mistake    int                 `bson:"mistake" json:"mistake"`
	CreateTime time.Time           `bson:"createTime" json:"createTime"`
}
